Subject: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Dec 2017 17:40:05 +0200

> From: Ted Zlatanov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 11 Dec 2017 10:03:42 -0500
> 
> The GnuTLS docs say it "will add a private extension with bogus data
> that make the client hello exceed 512 bytes. This avoids a black hole
> behavior in some firewalls. This is the [RFC7685] client hello padding
> extension, also enabled with %COMPAT." https://gnutls.org/manual/html_node/Priority-Strings.html
> 
> To me this appears benign and without downsides.

Me too, but I don't consider myself an expert.  I'm okay with doing
that if you think it's safe and no one else objects.

> Can anyone knowledgeable comment on any possible downsides to this? I'll
> wait 3 days for objections, then make the change in emacs-26.

Sounds like a good plan, thanks.